project "BarinkEngine"
  kind "StaticLib"

  buildmessage "Building BarinkEngine"

  includedirs {
    "../libs/spdlog/include",
    "../libs/glm",

    "../libs/glfw/include",
    "../libs/glew/include",
    "../libs/glad/include",


    "../libs/assimp/include",
    "../libs/entt/src",
    
    "../libs/physx/physx/include",
    
    "../libs/lua/include",

    "../libs/GorillaAudio/include",
    "../libs/steam-audio/include",


    "../libs/ImGui",
  }

  links {
    -- This needs to fall under the filter as the names can differ on different platforms 
    "phonon",
    "lua54",
    "spdlog",
    "assimp-vc143-mtd",
    "glfw3",
    "ImGui",
  }


  libdirs {
    "../libs/steam-audio/lib/windows-x64",
    "../libs/lua",
    "../libs/spdlog/build/Release",
    "../libs/assimp/lib/Debug",
    "../libs/glfw/build/src/Debug",
  }

  files {
    "../libs/glad/src/glad.c",

    "./src/*.cpp",
    "./src/*.h",
    "./src/**/*.cpp",
    "./src/**/*.h"
  }

  prebuildcommands 
  {
    ok,err = os.copyfile("BarinkEngine/src/Graphics/shaders/*" ,"SandboxApp/build/Debug/")
  }

include('../ImGui')
include("../ImGuizmo")